/* REXX utility to install FIXPAK from current directory */
/* CSF utilities must be located in CSF subdir.          */
/* by M. Sawicki                                         */

n=SETLOCAL()
Signal on Halt name Halt
Signal on Syntax name Syntax

Call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
Call SysLoadFuncs

/**********************************************/
/* Display version                            */
/**********************************************/
Parse source . . me .
FileDrive=Filespec('DRIVE',me)
FilePath=Filespec('PATH',me)
FileName=Filespec('NAME',me)
FileVer='ver 1.03 by M.S.     December, 20th 1997'
Say FileName FileVer

/**********************************************/
/* Set variables                              */
/**********************************************/
Os2Env='OS2ENVIRONMENT'
CSFFixpakVar='CSFCDROMDIR'
CSFToolsVar='CSFUTILPATH'

OldCSFFixpak=Value(CSFFixpakVar,,Os2Env)
OldCSFToolsr=Value(CSFToolsVar,,Os2Env)

/**********************************************/
/* strip "\" from <path>                      */
/**********************************************/
WorkPath=FileDrive||Substr(FilePath,1,Length(FilePath)-1)
CSFPath=WorkPath||'\CSF'
FixPath=WorkPath
say CSFPath
say FixPath

Value(CSFFixpakVar,FixPath,Os2Env)
Value(CSFToolsVar,CSFPath,Os2Env)

/**********************************************/
/* Environment is set, so call CSF utility    */
/**********************************************/
CSFPath||'\SERVICE.EXE'

n=ENDLOCAL()
Return 0
 
/**********************************************/
/* Unexpected error or stop                   */
/**********************************************/
Syntax:
Signal Off Syntax
Say
Say '  Syntax error on line 'sigl
Signal Join
Halt:
Signal Off Halt
Say '  Program Halted at line 'sigl
Join:
n=ENDLOCAL()
Exit